PHP5.5.xでMySql拡張モジュールが使えない!

今とあるサービスをphpで作っているのですが,そのサービスで使うデータベースに接続できず,PHPもうまく動作しないという不具合にここ数日陥ってました.

いろんなサイトを参考にしてコードを変えてみるもすべて撃沈・・・

いろいろ調べてみると、mysql_ から始まるものすべてがセキュリティの問題から使えなくなっていることが判明。

使えなくなった代わりに、PDO( PHP Data Object ) を使うと、従来通りの機能が使えます。( MySQLサーバーへの接続、データベースの値の読み込み・書き込みなど)

PHP 5.5.xを使っている方は注意しましょう。


コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

*